# $Revision: 1.6 $, $Date: 2002/06/11 22:35:01 $
# TODO:
# - fix group for -progs subpackage
Summary:	XML-RPC EPI library - an implementation of the xmlrpc protocol
Summary(pl):	Biblioteka XML-RPC EPI - implementacja protokou xmlrpc
Name:		xmlrpc-epi
Version:	0.50
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://prdownloads.sourceforge.net/xmlrpc-epi/%{name}-%{version}.tar.gz
Patch0:		%{name}-system-expat.patch
URL:		http://xmlrpc-epi.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/%{name}

%description
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It
provides an easy to use API for developers to serialize RPC requests
to and from XML. It doesn't include a transport layer, such as
HTTP. The API is primarily based upon proprietary code written for
internal usage at Epinions.com, and was later modified to incorporate
concepts from the xmlrpc protocol. It passed the xmlrpc validation
test suite in December 2000.

%description -l pl
xmlrpc-epi to implementacja protokou xmlrpc napisana w C. Daje proste
w uyciu API dla programistw do serializacji da RPC do i z XML.
Nie zawiera warstwy transportowej typu HTTP. API bazuje gwnie na
wasnociowym kodzie napisanym do uytku wewntrznego na Epinions.com
i zostao pniej zmodyfikowane, aby wczy idee protokou xmlrpc.
API to przeszo test sprawdzajcy poprawno implementacji w grudniu
2000.
     
%package devel
Summary:	Header files etc to develop XML-RPC applications
Summary(pl):	Pliki nagwkowe do tworzenia aplikacji XML-RPC
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files etc needed to develop XML-RPC applications.

%description devel -l pl
Pliki nagwkowe potrzebne do tworzenia aplikacji uywajcych XML-RPC.

%package static
Summary:	Static XML-RPC EPI libraries
Summary(pl):	Biblioteki statyczne XML-RPC EPI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static XML-RPC EPI libraries.

%description static -l pl
Biblioteki statyczne XML-RPC EPI.

%package progs
Summary:	XML-RPC sample programs
Summary(pl):	Programy przykadowe XML-RPC
Group:		Applications/Text
Requires:	%{name} = %{version}

%description progs
Sample programs for XML-RPC EPI library.

%description progs -l pl
Programy przykadowe do biblioteki XML-RPC EPI.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--program-prefix=xmlrpc-epi-
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README COPYING
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmlrpc-epi.spec,v $
Revision 1.6  2002/06/11 22:35:01  kloczek
- release 1: use new %doc.

Revision 1.5  2002/05/21 23:15:05  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.3  2002/04/12 11:05:35  qboosh
- descriptions

Revision 1.2  2002/04/11 16:09:16  wiget
adapterized

Revision 1.1  2002/04/11 16:03:08  wiget
simple XML-RPC library from SourceForge
